# -*- encoding: utf-8 -*-
# stub: ravanello 0.1.1 ruby lib

Gem::Specification.new do |s|
  s.name = "ravanello".freeze
  s.version = "0.1.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Salahutdinov Dmitry".freeze]
  s.date = "2017-12-11"
  s.description = "\n    Ravanello is the cli for analyze keys in redis and size of it's values.\n\n    Example of usage:\n    ```bash\n      gem install ravanello\n      ravanello --version\n      REDIS_URL=\"redis://localhost/db\" ravanello analyze --rules rules.yml\n    ```\n\n    The rules files specifies the structure of the redis keys (splitted by :)\n    and should looks like this:\n    ```yml\n    rules:\n      resque:\n        - 'delayed'\n        - 'resque-retry'\n        - 'timestamps'\n        - 'lock'\n        - 'meta'\n    ```\n\n    After analyzing you will get the report in console:\n    ```\n    Q-ty  Size  Key (sample)\n    4     24    * (hello)\n    1     6     denormalized:companies:* (denormalized:companies:99585213)\n    ```\n\n  ".freeze
  s.email = ["dsalahutdinov@gmail.com".freeze]
  s.executables = ["ravanello".freeze]
  s.files = ["bin/ravanello".freeze]
  s.homepage = "https://github.com/dsalahutdinov/ravanello".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Ravanello is the cli for analyzing redis keys (using debug)".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<redis>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<thor>.freeze, [">= 0"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.16"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<pry-byebug>.freeze, [">= 0"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.49"])
    s.add_development_dependency(%q<simplecov>.freeze, [">= 0"])
  else
    s.add_dependency(%q<redis>.freeze, [">= 0"])
    s.add_dependency(%q<thor>.freeze, [">= 0"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.16"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_dependency(%q<pry-byebug>.freeze, [">= 0"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.49"])
    s.add_dependency(%q<simplecov>.freeze, [">= 0"])
  end
end
